From 06d15f71846a82e92ac842d5df30f6cac6fed523 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Thu, 24 Nov 2022 18:59:38 +1100
Subject: [PATCH 38/56] java: Use dump_flags_t.

gcc/java/ChangeLog:

	* java-gimplify.cc (dump_java_tree): Use dump_flags_t.
---
 gcc/java/java-gimplify.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gcc/java/java-gimplify.cc b/gcc/java/java-gimplify.cc
index c723cb665ce..8c490ab832e 100644
--- a/gcc/java/java-gimplify.cc
+++ b/gcc/java/java-gimplify.cc
@@ -160,7 +160,7 @@ static void
 dump_java_tree (enum tree_dump_index phase, tree t)
 {
   FILE *stream;
-  int flags;
+  dump_flags_t flags;
 
   stream = dump_begin (phase, &flags);
   flags |= TDF_SLIM;
-- 
2.38.1

